using System.Text.Json.Serialization;

namespace WmsMobileServe.ApiServe.Mobile.Dto;

public class BindingVehicleInRequest
{

    /// <summary>
    /// 载具号
    /// </summary>
    [JsonPropertyName("vehicleNo")]
    public string? VehicleNo { get; set; }

    /// <summary>
    /// 入库区域
    /// </summary>
    [JsonPropertyName("inArea")]
    public string? InArea { get; set; }

    /// <summary>
    /// 绑定的物料
    /// </summary>
    [JsonPropertyName("goods")]
    public List<BindingVehicleInRequestBindingGoods>? Goods { get; set; }

}


public class BindingVehicleInRequestBindingGoods
{
    /// <summary>
    /// 编号
    /// </summary>
    [JsonPropertyName("id")]
    public string? Id { get; set; }

    /// <summary>
    /// 采购单号
    /// </summary>
    [JsonPropertyName("segment1")]
    public string? Segment1 { get; set; }

    /// <summary>
    /// 物料号
    /// </summary>
    [JsonPropertyName("itemId")]
    public string? ItemId { get; set; }

    /// <summary>
    /// 批次号
    /// </summary>
    [JsonPropertyName("batch")]
    public string? Batch { get; set; }

    /// <summary>
    /// 数量
    /// </summary>
    [JsonPropertyName("quantity")]
    public string? Quantity { get; set; }


    [JsonPropertyName("goodsTypeId")]
    public string? GoodsTypeId { get; set; }

    /// <summary>
    /// 重量
    /// </summary>
    [JsonPropertyName("weight")]
    public string? Weight { get; set; }

    /// <summary>
    /// 生产日期
    /// </summary>
    [JsonPropertyName("productData")]
    public string? ProductData { get; set; }

    /// <summary>
    /// 库区
    /// </summary>
    [JsonPropertyName("area")]
    public string? Area { get; set; }

    /// <summary>
    /// 送货单号
    /// </summary>
    [JsonPropertyName("sendOrderId")]
    public string? SendOrderId { get; set; }

    /// <summary>
    /// 供应商批次
    /// </summary>
    [JsonPropertyName("pruBatch")]
    public string? PruBatch { get; set; }

    /// <summary>
    /// 物料描述
    /// </summary>
    [JsonPropertyName("goodsName")]
    public string? GoodsName { get; set; }

    /// <summary>
    /// 单位
    /// </summary>
    [JsonPropertyName("unit")]
    public string? Unit { get; set; }

    /// <summary>
    /// 订单头主键
    /// </summary>
    [JsonPropertyName("poHeaderId")]
    public string? PoHeaderId { get; set; }

    /// <summary>
    /// 订单行主键
    /// </summary>
    [JsonPropertyName("poLineId")]
    public string? PoLineId { get; set; }

    /// <summary>
    /// 发运行主键
    /// </summary>
    [JsonPropertyName("lineLocationId")]
    public string? LineLocationId { get; set; }




}
